Wind River Support Network

HomeDefectsLIN5-20548
Fixed

LIN5-20548 : Security Advisory - php - CVE-2015-2783

Created: Jun 15, 2015    Updated: Dec 19, 2017
Resolved Date: Jul 5, 2015
Found In Version: 5.0.1.27
Fix Version: 5.0.1.29
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

ext/phar/phar.c in PHP before 5.4.40, 5.5.x before 5.5.24, and 5.6.x before 5.6.8 allows remote attackers to obtain sensitive information from process memory or cause a denial of service (buffer over-read and application crash) via a crafted length value in conjunction with crafted serialized data in a phar archive, related to the phar_parse_metadata and phar_parse_pharfile functions.

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2015-2783

Other Downloads


Live chat
Online